QwtPlotSvgItem(3)

NAME
QwtPlotSvgItem - A plot item, which displays data in Scalable Vector Graphics (SVG) format.

SYNOPSIS

#include <qwt_plot_svgitem.h>

Inherits QwtPlotItem.

  Public Member Functions
QwtPlotSvgItem (const QString &title=QString())
Constructor.
QwtPlotSvgItem (const QwtText &title)
Constructor.
virtual ~QwtPlotSvgItem ()
Destructor.
bool loadFile (const QRectF &, const QString &fileName)
bool loadData (const QRectF &, const QByteArray &)
virtual QRectF boundingRect () const
Bounding rectangle of the item.
virtual void draw (QPainter *, const QwtScaleMap &xMap, const QwtScaleMap &yMap, const QRectF &canvasRect) const
virtual int rtti () const

  Protected Member Functions
const QSvgRenderer & renderer () const
QSvgRenderer & renderer ()
void render (QPainter *, const QRectF &viewBox, const QRectF &rect) const
QRectF viewBox (const QRectF &rect) const

  Additional Inherited Members

Detailed Description

A plot item, which displays data in Scalable Vector Graphics (SVG) format. SVG images are often used to display maps

Constructor & Destructor Documentation

  QwtPlotSvgItem::QwtPlotSvgItem (const QString & title = QString()) [explicit]

Constructor. Sets the following item attributes:

•   QwtPlotItem::AutoScale: true

•   QwtPlotItem::Legend: false

Parameters
    title Title

  QwtPlotSvgItem::QwtPlotSvgItem (const QwtText & title) [explicit]

Constructor. Sets the following item attributes:

•   QwtPlotItem::AutoScale: true

•   QwtPlotItem::Legend: false

Parameters
    title Title

Member Function Documentation

  void QwtPlotSvgItem::draw (QPainter * painter, const QwtScaleMap & xMap, const QwtScaleMap & yMap, const QRectF & canvasRect) const [virtual]
Draw the SVG item

Parameters
    painter Painter
    xMap X-Scale Map
    yMap Y-Scale Map
    canvasRect Contents rect of the plot canvas

Implements QwtPlotItem.

  bool QwtPlotSvgItem::loadData (const QRectF & rect, const QByteArray & data)
Load SVG data

Parameters
    rect Bounding rectangle
    data in SVG format

Returns
    true, if the SVG data could be loaded

  bool QwtPlotSvgItem::loadFile (const QRectF & rect, const QString & fileName)
Load a SVG file

Parameters
    rect Bounding rectangle
    fileName SVG file name

Returns
    true, if the SVG file could be loaded

  void QwtPlotSvgItem::render (QPainter * painter, const QRectF & viewBox, const QRectF & rect) const [protected]
Render the SVG data

Parameters
    painter Painter
    viewBox View Box, see QSvgRenderer::viewBox()
    rect Target rectangle on the paint device

  QSvgRenderer & QwtPlotSvgItem::renderer () [protected]

Returns
    Renderer used to render the SVG data

  const QSvgRenderer & QwtPlotSvgItem::renderer () const [protected]

Returns
    Renderer used to render the SVG data

  int QwtPlotSvgItem::rtti () const [virtual]

Returns
    QwtPlotItem::Rtti_PlotSVG

Reimplemented from QwtPlotItem.

  QRectF QwtPlotSvgItem::viewBox (const QRectF & rect) const [protected]
Calculate the view box from rect and boundingRect().

Parameters
    rect Rectangle in scale coordinates

Returns
    View box, see QSvgRenderer::viewBox()

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.